﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Android.Support.V4.App;
using Android;
using AndroidX.Core.App;
using Android.Content;
using Microsoft.Maui;
using Microsoft.Maui.Controls;
using IDTechSDK;

namespace SDKuDemo
{
    [Activity(Label = "SDKuDemo", Icon = "@mipmap/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation | ConfigChanges.UiMode | ConfigChanges.ScreenLayout | ConfigChanges.SmallestScreenSize)]
    public class MainActivity : MauiAppCompatActivity
    {
        public static MainActivity SharedController = null;


        public bool IsBound { get; set; }

        protected override void OnCreate(Bundle savedInstanceState)
        {

            IDTech.Maui.Comm.IDTechBinding.Init(this);

            SharedController = this;

            base.OnCreate(savedInstanceState);

            Platform.Init(this, savedInstanceState);
            this.RequestPermissions(new[]
            {
                Manifest.Permission.AccessCoarseLocation,
                Manifest.Permission.AccessFineLocation,
                Manifest.Permission.AccessNetworkState,
                Manifest.Permission.BluetoothPrivileged,
                Manifest.Permission.Bluetooth,
                Manifest.Permission.BluetoothAdmin,
                Manifest.Permission.BluetoothConnect,
                Manifest.Permission.BluetoothScan,
                Manifest.Permission.Internet,
                Manifest.Permission.ModifyAudioSettings,
                Manifest.Permission.RecordAudio
            }, 0);
            IDTech.Maui.Comm.IDTechBinding.enableUSB();
        }

        public override void OnRequestPermissionsResult(int requestCode, string[] permissions, [GeneratedEnum] Android.Content.PM.Permission[] grantResults)
        {
            Platform.OnRequestPermissionsResult(requestCode, permissions, grantResults);

            base.OnRequestPermissionsResult(requestCode, permissions, grantResults);
        }




    }
}